Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.util
Class ArrayList

    java.lang.Object
      |
      +--java.util.AbstractCollection
            |
            +--java.util.AbstractList
                  |
                  +--java.util.ArrayList

All Implemented Interfaces:
  Collection, List

public class ArrayList
extends AbstractList
implements List

Constructor Summary
`ArrayList()`
`ArrayList(Collection c)`
`ArrayList(int initialCapacity)`

Method Summary
`void` | `add(int index, java.lang.Object elem)`
`boolean` | `add(java.lang.Object o)`
`void` | `clear()`
`java.lang.Object` | `clone()`
`boolean` | `contains(java.lang.Object elem)`
`void` | `ensureCapacity(int minCapacity)`
`java.lang.Object` | `get(int index)`
`int` | `indexOf(java.lang.Object elem)`
`int` | `lastIndexOf(java.lang.Object elem)`
`java.lang.Object` | `remove(int index)`
`java.lang.Object` | `set(int index, java.lang.Object elem)`
`int` | `size()`
`java.lang.Object[]` | `toArray()`
`void` | `trimToSize()`

Methods inherited from class java.util.AbstractList
`addAll, equals, hashCode, iterator, listIterator, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, containsAll, isEmpty, remove, removeAll, retainAll, toArray, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, listIterator, listIterator, subList`

Methods inherited from interface java.util.Collection
`addAll, containsAll, equals, hashCode, isEmpty, iterator, remove, removeAll, retainAll, toArray`

Constructor Detail

### ArrayList

    public ArrayList()

### ArrayList

    public ArrayList(Collection c)

### ArrayList

    public ArrayList(int initialCapacity)

Method Detail

### trimToSize

    public void trimToSize()

### ensureCapacity

    public void ensureCapacity(int minCapacity)

### size

    public int size()

  Specified by:
    `size` in interface `Collection`
  Specified by:
    `size` in class `AbstractCollection`

### contains

    public boolean contains(java.lang.Object elem)

  Specified by:
    `contains` in interface `Collection`
  Overrides:
    `contains` in class `AbstractCollection`

### indexOf

    public int indexOf(java.lang.Object elem)

  Specified by:
    `indexOf` in interface `List`
  Overrides:
    `indexOf` in class `AbstractList`

### lastIndexOf

    public int lastIndexOf(java.lang.Object elem)

  Specified by:
    `lastIndexOf` in interface `List`
  Overrides:
    `lastIndexOf` in class `AbstractList`

### clone

    public java.lang.Object clone()

  Overrides:
    `clone` in class `java.lang.Object`

### toArray

    public java.lang.Object[] toArray()

  Specified by:
    `toArray` in interface `Collection`
  Overrides:
    `toArray` in class `AbstractCollection`

### get

    public java.lang.Object get(int index)

  Specified by:
    `get` in interface `List`
  Specified by:
    `get` in class `AbstractList`

### set

    public java.lang.Object set(int index,
                                java.lang.Object elem)

  Specified by:
    `set` in interface `List`
  Overrides:
    `set` in class `AbstractList`

### add

    public boolean add(java.lang.Object o)

  Specified by:
    `add` in interface `Collection`
  Overrides:
    `add` in class `AbstractList`

### add

    public void add(int index,
                    java.lang.Object elem)

  Specified by:
    `add` in interface `List`
  Overrides:
    `add` in class `AbstractList`

### remove

    public java.lang.Object remove(int index)

  Specified by:
    `remove` in interface `List`
  Overrides:
    `remove` in class `AbstractList`

### clear

    public void clear()

  Specified by:
    `clear` in interface `Collection`
  Overrides:
    `clear` in class `AbstractList`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.21
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD